import { ElementRef, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { AutoCompleteMapFunction } from './autocomplete-map-function.type';
import { NgControl } from '@angular/forms';
export declare class AutoCompleteDirective {
    private view;
    private element;
    private resolver;
    private model;
    source: Function;
    map: AutoCompleteMapFunction;
    minLength: number;
    strings: {
        [key: string]: string;
    };
    defaultStrings: {
        [key: string]: string;
    };
    constructor(view: ViewContainerRef, element: ElementRef, resolver: ComponentFactoryResolver, model: NgControl);
    ngOnInit(): void;
}
