import {CommonModule} from '@angular/common';
import {NgModule} from '@angular/core';
import {FormsModule} from '@angular/forms';
import {AutoCompleteComponent} from './autocomplete.component';
import {AutoCompleteDirective} from './autocomplete.directive';

export * from './autocomplete.component';
export * from './autocomplete.component';
export * from './autocomplete.directive';


@NgModule({
  imports: [CommonModule, FormsModule],
  declarations: [AutoCompleteComponent, AutoCompleteDirective],
  exports: [AutoCompleteComponent, AutoCompleteDirective],
  entryComponents: [AutoCompleteComponent]
})
export class AutoCompleteModule {

}
